/******************************************************************************
 * This file is part of the Gluon Development Platform
 * Copyright (c) 2010 Arjen Hiemstra <ahiemstra@heimr.nl>
 * Copyright (C) 2010 Dan Leinir Turthra Jensen <admin@leinir.dk>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
 */

#ifndef GLUON_ENGINE_EXPORT_H
#define GLUON_ENGINE_EXPORT_H

#include <QtCore/qglobal.h>

#ifndef GLUON_ENGINE_EXPORT
#if defined(MAKE_GLUON_ENGINE_LIB)
#  define GLUON_ENGINE_EXPORT Q_DECL_EXPORT
#else
#  define GLUON_ENGINE_EXPORT Q_DECL_IMPORT
#endif
#endif

# ifndef GLUON_ENGINE_EXPORT_DEPRECATED
#  define GLUON_ENGINE_EXPORT_DEPRECATED Q_DECL_DEPRECATED GLUON_EXPORT
# endif

#ifndef GLUON_ASSET_SOUND_EXPORT
#if defined(MAKE_GLUON_ASSET_SOUND_LIB)
#  define GLUON_ASSET_SOUND_EXPORT Q_DECL_EXPORT
#else
#  define GLUON_ASSET_SOUND_EXPORT Q_DECL_IMPORT
#endif
#endif

# ifndef GLUON_ASSET_SOUND_EXPORT_DEPRECATED
#  define GLUON_ASSET_SOUND_EXPORT_DEPRECATED Q_DECL_DEPRECATED GLUON_EXPORT
# endif

#ifndef GLUON_ASSET_TEXTURE_EXPORT
#if defined(MAKE_GLUON_ASSET_TEXTURE_LIB)
#  define GLUON_ASSET_TEXTURE_EXPORT Q_DECL_EXPORT
#else
#  define GLUON_ASSET_TEXTURE_EXPORT Q_DECL_IMPORT
#endif
#endif

# ifndef GLUON_ASSET_TEXTURE_EXPORT_DEPRECATED
#  define GLUON_ASSET_TEXTURE_EXPORT_DEPRECATED Q_DECL_DEPRECATED GLUON_EXPORT
# endif

#ifndef GLUON_ASSET_MATERIAL_EXPORT
#if defined(MAKE_GLUON_ASSET_MATERIAL_LIB)
#  define GLUON_ASSET_MATERIAL_EXPORT Q_DECL_EXPORT
#else
#  define GLUON_ASSET_MATERIAL_EXPORT Q_DECL_IMPORT
#endif
#endif

# ifndef GLUON_ASSET_MATERIAL_EXPORT_DEPRECATED
#  define GLUON_ASSET_MATERIAL_EXPORT_DEPRECATED Q_DECL_DEPRECATED GLUON_EXPORT
# endif

#ifndef GLUON_ASSET_SCRIPT_EXPORT
#if defined(MAKE_GLUON_ASSET_SCRIPT_LIB)
#  define GLUON_ASSET_SCRIPT_EXPORT Q_DECL_EXPORT
#else
#  define GLUON_ASSET_SCRIPT_EXPORT Q_DECL_IMPORT
#endif
#endif

# ifndef GLUON_ASSET_SCRIPT_EXPORT_DEPRECATED
#  define GLUON_ASSET_SCRIPT_EXPORT_DEPRECATED Q_DECL_DEPRECATED GLUON_EXPORT
# endif

#ifndef GLUON_COMPONENT_SOUNDEMITTER_EXPORT
#if defined(MAKE_GLUON_COMPONENT_SOUNDEMITTER_LIB)
#  define GLUON_COMPONENT_SOUNDEMITTER_EXPORT Q_DECL_EXPORT
#else
#  define GLUON_COMPONENT_SOUNDEMITTER_EXPORT Q_DECL_IMPORT
#endif
#endif

# ifndef GLUON_COMPONENT_SOUNDEMITTER_EXPORT_DEPRECATED
#  define GLUON_COMPONENT_SOUNDEMITTER_EXPORT_DEPRECATED Q_DECL_DEPRECATED GLUON_EXPORT
# endif

#ifndef GLUON_COMPONENT_SOUNDLISTENER_EXPORT
#if defined(MAKE_GLUON_COMPONENT_SOUNDLISTENER_LIB)
#  define GLUON_COMPONENT_SOUNDLISTENER_EXPORT Q_DECL_EXPORT
#else
#  define GLUON_COMPONENT_SOUNDLISTENER_EXPORT Q_DECL_IMPORT
#endif
#endif

# ifndef GLUON_COMPONENT_SOUNDLISTENER_EXPORT_DEPRECATED
#  define GLUON_COMPONENT_SOUNDLISTENER_EXPORT_DEPRECATED Q_DECL_DEPRECATED GLUON_EXPORT
# endif

#ifndef GLUON_COMPONENT_CAMERACONTROLLER_EXPORT
#if defined(MAKE_GLUON_COMPONENT_CAMERACONTROLLER_LIB)
#  define GLUON_COMPONENT_CAMERACONTROLLER_EXPORT Q_DECL_EXPORT
#else
#  define GLUON_COMPONENT_CAMERACONTROLLER_EXPORT Q_DECL_IMPORT
#endif
#endif

# ifndef GLUON_COMPONENT_CAMERACONTROLLER_EXPORT_DEPRECATED
#  define GLUON_COMPONENT_CAMERACONTROLLER_EXPORT_DEPRECATED Q_DECL_DEPRECATED GLUON_EXPORT
# endif

#ifndef GLUON_COMPONENT_DISCRENDERER_EXPORT
#if defined(MAKE_GLUON_COMPONENT_DISCRENDERER_LIB)
#  define GLUON_COMPONENT_DISCRENDERER_EXPORT Q_DECL_EXPORT
#else
#  define GLUON_COMPONENT_DISCRENDERER_EXPORT Q_DECL_IMPORT
#endif
#endif

# ifndef GLUON_COMPONENT_DISCRENDERER_EXPORT_DEPRECATED
#  define GLUON_COMPONENT_DISCRENDERER_EXPORT_DEPRECATED Q_DECL_DEPRECATED GLUON_EXPORT
# endif

#ifndef GLUON_COMPONENT_DISCSECTIONRENDERER_EXPORT
#if defined(MAKE_GLUON_COMPONENT_DISCSECTIONRENDERER_LIB)
#  define GLUON_COMPONENT_DISCSECTIONRENDERER_EXPORT Q_DECL_EXPORT
#else
#  define GLUON_COMPONENT_DISCSECTIONRENDERER_EXPORT Q_DECL_IMPORT
#endif
#endif

# ifndef GLUON_COMPONENT_DISCSECTIONRENDERER_EXPORT_DEPRECATED
#  define GLUON_COMPONENT_DISCSECTIONRENDERER_EXPORT_DEPRECATED Q_DECL_DEPRECATED GLUON_EXPORT
# endif

#ifndef GLUON_COMPONENT_SPRITERENDERER_EXPORT
#if defined(MAKE_GLUON_COMPONENT_SPRITERENDERER_LIB)
#  define GLUON_COMPONENT_SPRITERENDERER_EXPORT Q_DECL_EXPORT
#else
#  define GLUON_COMPONENT_SPRITERENDERER_EXPORT Q_DECL_IMPORT
#endif
#endif

# ifndef GLUON_COMPONENT_SPRITERENDERER_EXPORT_DEPRECATED
#  define GLUON_COMPONENT_SPRITERENDERER_EXPORT_DEPRECATED Q_DECL_DEPRECATED GLUON_EXPORT
# endif

#ifndef GLUON_COMPONENT_ANIMATEDSPRITERENDERER_EXPORT
#if defined(MAKE_GLUON_COMPONENT_ANIMATEDSPRITERENDERER_LIB)
#  define GLUON_COMPONENT_ANIMATEDSPRITERENDERER_EXPORT Q_DECL_EXPORT
#else
#  define GLUON_COMPONENT_ANIMATEDSPRITERENDERER_EXPORT Q_DECL_IMPORT
#endif
#endif

# ifndef GLUON_COMPONENT_ANIMATEDSPRITERENDERER_EXPORT_DEPRECATED
#  define GLUON_COMPONENT_ANIMATEDSPRITERENDERER_EXPORT_DEPRECATED Q_DECL_DEPRECATED GLUON_EXPORT
# endif


#ifndef GLUON_COMPONENT_BEAMRENDERER_EXPORT
#if defined(MAKE_GLUON_COMPONENT_BEAMRENDERER_LIB)
#  define GLUON_COMPONENT_BEAMRENDERER_EXPORT Q_DECL_EXPORT
#else
#  define GLUON_COMPONENT_BEAMRENDERER_EXPORT Q_DECL_IMPORT
#endif
#endif

#ifndef GLUON_COMPONENT_TEXTRENDERER_EXPORT
#if defined(MAKE_GLUON_COMPONENT_TEXTRENDERER_LIB)
#  define GLUON_COMPONENT_TEXTRENDERER_EXPORT Q_DECL_EXPORT
#else
#  define GLUON_COMPONENT_TEXTRENDERER_EXPORT Q_DECL_IMPORT
#endif
#endif

# ifndef GLUON_COMPONENT_TEXTRENDERER_EXPORT_DEPRECATED
#  define GLUON_COMPONENT_TEXTRENDERER_EXPORT_DEPRECATED Q_DECL_DEPRECATED GLUON_EXPORT
# endif

#ifndef GLUON_COMPONENT_PARTICLECOLLIDER_EXPORT
#if defined(MAKE_GLUON_COMPONENT_PARTICLECOLLIDER_LIB)
#  define GLUON_COMPONENT_PARTICLECOLLIDER_EXPORT Q_DECL_EXPORT
#else
#  define GLUON_COMPONENT_PARTICLECOLLIDER_EXPORT Q_DECL_IMPORT
#endif
#endif

# ifndef GLUON_COMPONENT_PARTICLE_EXPORT_DEPRECATED
#  define GLUON_COMPONENT_PARTICLE_EXPORT_DEPRECATED Q_DECL_DEPRECATED GLUON_EXPORT
# endif

#ifndef GLUON_COMPONENT_KEYBOARDINPUT_EXPORT
#if defined(MAKE_GLUON_COMPONENT_KEYBOARDINPUT_LIB)
#  define GLUON_COMPONENT_KEYBOARDINPUT_EXPORT Q_DECL_EXPORT
#else
#  define GLUON_COMPONENT_KEYBOARDINPUT_EXPORT Q_DECL_IMPORT
#endif
#endif

# ifndef GLUON_COMPONENT_KEYBOARDINPUT_EXPORT_DEPRECATED
#  define GLUON_COMPONENT_KEYBOARDINPUT_EXPORT_DEPRECATED Q_DECL_DEPRECATED GLUON_EXPORT
# endif

#ifndef GLUON_COMPONENT_MOUSEINPUT_EXPORT
#if defined(MAKE_GLUON_COMPONENT_MOUSEINPUT_LIB)
#  define GLUON_COMPONENT_MOUSEINPUT_EXPORT Q_DECL_EXPORT
#else
#  define GLUON_COMPONENT_MOUSEINPUT_EXPORT Q_DECL_IMPORT
#endif
#endif

# ifndef GLUON_COMPONENT_MOUSEINPUT_EXPORT_DEPRECATED
#  define GLUON_COMPONENT_MOUSEINPUT_EXPORT_DEPRECATED Q_DECL_DEPRECATED GLUON_EXPORT
# endif

#ifndef GLUON_COMPONENT_TOUCHINPUT_EXPORT
#if defined(MAKE_GLUON_COMPONENT_TOUCHINPUT_LIB)
#  define GLUON_COMPONENT_TOUCHINPUT_EXPORT Q_DECL_EXPORT
#else
#  define GLUON_COMPONENT_TOUCHINPUT_EXPORT Q_DECL_IMPORT
#endif
#endif

# ifndef GLUON_COMPONENT_TOUCHINPUT_EXPORT_DEPRECATED
#  define GLUON_COMPONENT_TOUCHINPUT_EXPORT_DEPRECATED Q_DECL_DEPRECATED GLUON_EXPORT
# endif

#ifndef GLUON_COMPONENT_QTSCRIPT_EXPORT
#if defined(MAKE_GLUON_COMPONENT_QTSCRIPT_LIB)
#  define GLUON_COMPONENT_QTSCRIPT_EXPORT Q_DECL_EXPORT
#else
#  define GLUON_COMPONENT_QTSCRIPT_EXPORT Q_DECL_IMPORT
#endif
#endif

# ifndef GLUON_COMPONENT_QTSCRIPT_EXPORT_DEPRECATED
#  define GLUON_COMPONENT_QTSCRIPT_EXPORT_DEPRECATED Q_DECL_DEPRECATED GLUON_EXPORT
# endif

#ifndef GLUON_COMPONENT_SPHERECOLLISION_EXPORT
#if defined(MAKE_GLUON_COMPONENT_SPHERECOLLISION_LIB)
#  define GLUON_COMPONENT_SPHERECOLLISION_EXPORT Q_DECL_EXPORT
#else
#  define GLUON_COMPONENT_SPHERECOLLISION_EXPORT Q_DECL_IMPORT
#endif
#endif

# ifndef GLUON_COMPONENT_SPHERECOLLISION_EXPORT_DEPRECATED
#  define GLUON_COMPONENT_SPHERECOLLISION_EXPORT_DEPRECATED Q_DECL_DEPRECATED GLUON_EXPORT
# endif

#ifndef GLUON_COMPONENT_SCRIPTING_EXPORT
#if defined(MAKE_GLUON_COMPONENT_SCRIPTING_LIB)
#  define GLUON_COMPONENT_SCRIPTING_EXPORT Q_DECL_EXPORT
#else
#  define GLUON_COMPONENT_SCRIPTING_EXPORT Q_DECL_IMPORT
#endif
#endif

# ifndef GLUON_COMPONENT_SCRIPTING_EXPORT_DEPRECATED
#  define GLUON_COMPONENT_SCRIPTING_EXPORT_DEPRECATED Q_DECL_DEPRECATED GLUON_EXPORT
# endif

#ifndef GLUON_COMPONENT_UIMANAGER_EXPORT
#if defined(MAKE_GLUON_COMPONENT_UIMANAGER_LIB)
#  define GLUON_COMPONENT_UIMANAGER_EXPORT Q_DECL_EXPORT
#else
#  define GLUON_COMPONENT_UIMANAGER_EXPORT Q_DECL_IMPORT
#endif
#endif

# ifndef GLUON_COMPONENT_UIMANAGER_EXPORT_DEPRECATED
#  define GLUON_COMPONENT_UIMANAGER_EXPORT_DEPRECATED Q_DECL_DEPRECATED GLUON_EXPORT
# endif





#endif // GLUON_ENGINE_EXPORT_H
